Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.StructObjectContent Class Reference
Inheritance diagram for FoxitPDFSDKPython2.StructObjectContent:

## Public Member Functions
def | StructObjectContent ()
| Constructor. More...
def | GetDict ()
| Get PDF dictionary of related object. More...
def | GetObjectType ()
| Get related object type. More...
def | GetParentElement ()
| Get the parent structure element. More...
Public Member Functions inherited from FoxitPDFSDKPython2.StructTreeEntity
def | StructTreeEntity ()
| Constructor. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetType ()
| Get structure tree entity type. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_StructObjectTypeAnnot = _fsdk.StructObjectContent_e_StructObjectTypeAnnot
| Annot object.
| e_StructObjectTypeForm = _fsdk.StructObjectContent_e_StructObjectTypeForm
| Form object.
| e_StructObjectTypeImage = _fsdk.StructObjectContent_e_StructObjectTypeImage
| Image object.
| e_StructObjectTypeInvalid = _fsdk.StructObjectContent_e_StructObjectTypeInvalid
| Invaild object.
| e_UnknownType = _fsdk.StructObjectContent_e_UnknownType
| Unknown Type.
Static Public Attributes inherited from FoxitPDFSDKPython2.StructTreeEntity
| e_StructTreeEntityTypeElement = _fsdk.StructTreeEntity_e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
| e_StructTreeEntityTypeMarkedContent = _fsdk.StructTreeEntity_e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
| e_StructTreeEntityTypeObjectContent = _fsdk.StructTreeEntity_e_StructTreeEntityTypeObjectContent
| Structure tree entity type: ObjectContent, which represents a PDF object content item, such as annotation and XObject.
| e_UnknownType = _fsdk.StructTreeEntity_e_UnknownType
| Structure tree entity type: unknown.

## Detailed Description

This class represents a PDF object content item.

## Constructor & Destructor Documentation

## ◆ StructObjectContent()

def FoxitPDFSDKPython2.StructObjectContent.StructObjectContent | ( |  | ) |

Constructor.

Constructor, with another structure object content object.

Parameters

  [in] | other | Another structure object content object.

## Member Function Documentation

## ◆ GetDict()

def FoxitPDFSDKPython2.StructObjectContent.GetDict | ( |  | ) |

Get PDF dictionary of related object.

This function is available to the following types of objects: , and . For

## ◆ GetObjectType()

def FoxitPDFSDKPython2.StructObjectContent.GetObjectType | ( |  | ) |

Get related object type.

Returns
  Related object type. Please refer to values starting from and this would be one of these values.

## ◆ GetParentElement()

def FoxitPDFSDKPython2.StructObjectContent.GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.